local TMissileAAProjectile = import('/lua/terranprojectiles.lua').TMissileAAProjectile
TAAMissileFlayer = Class(TMissileAAProjectile) {

   OnCreate = function(self)
        TMissileAAProjectile.OnCreate(self)
        self:ForkThread(self.UpdateThread)
        self:SetTurnRate(0)
		self:SetMaxSpeed  (20)
        self:SetAcceleration(0)
   end,


    UpdateThread = function(self)
        WaitSeconds(0.3)
        self:SetMaxSpeed(2)
        self:SetBallisticAcceleration(-0.5)
        local army = self:GetArmy()

        for i in self.FxTrails do
            CreateEmitterOnEntity(self,army,self.FxTrails[i])
        end

        WaitSeconds(0.5)
        self:SetMaxSpeed(30)
        self:SetAcceleration(15)

        WaitSeconds(0.3)
        self:SetTurnRate(360)

    end,
}

TypeClass = TAAMissileFlayer
